(* Mac OSX Arch-Specific Definitions *)

let registry_paths = ref [ "\\BGII - SoA\\" ] 

(* no slash removal: helps make shell scripts work better *)
let slash_to_backslash s = s 

(* how to view a text file *)
(* let view_command = "open -a /Applications/TextEdit.app/"  *)
let view_command = "open"

let do_auto_update = false 

(* handle AT_EXIT ~VIEW mydir\myfile.txt~ *)
let handle_view_command s =
  let view_regexp = Str.regexp_case_fold "^VIEW" in
  if Str.string_match view_regexp s 0 then begin
    (* first, replace VIEW with my view command *) 
    let result = Str.replace_first view_regexp view_command s in 
    (* next, for osx, replace \ with / *)
    Str.global_replace (Str.regexp (Str.quote "\\")) "/" result 
  end else s 

external glob : string -> (string -> unit) -> unit = "myglob"

let create_process_env = Unix.create_process_env

let biff_path_separator = ":"

(* On OSX, TOB baldur.ini has: 
[Alias]
CD5:=:CD5:
HD0:=:
CD1:=:CD1:
CD2:=:CD2:
CD3:=:CD3:
CD4:=:CD4:
*) 
let cd_regexp = Str.regexp "\\(CD[0-9]\\)"
(* doesn't work: 
let cd_regexp = Str.regexp "^[CH]D[0-9]+.*=\\([^\r\n]*\\)"  *)
